# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-12-06 11:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Soutenances', '0006_auto_20171129_2110'),
    ]

    operations = [
        migrations.CreateModel(
            name='GroupeSoutenance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('etudiants', models.ManyToManyField(to='Soutenances.Etudiant')),
            ],
        ),
        migrations.RemoveField(
            model_name='soutenance',
            name='duree',
        ),
        migrations.RemoveField(
            model_name='soutenance',
            name='etudiants',
        ),
        migrations.RemoveField(
            model_name='soutenance',
            name='salle',
        ),
        migrations.AddField(
            model_name='evenement',
            name='dureeSoutenances',
            field=models.DurationField(null=True),
        ),
        migrations.AddField(
            model_name='evenement',
            name='groupe',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Soutenances.Groupe'),
        ),
        migrations.AddField(
            model_name='slots',
            name='salle',
            field=models.CharField(max_length=64, null=True),
        ),
        migrations.AddField(
            model_name='soutenance',
            name='groupeSoutenance',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='Soutenances.GroupeSoutenance'),
        ),
    ]
